<?php
/**
 * Blackbird MenuManager Module
 *
 * NOTICE OF LICENSE
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to contact@bird.eu so we can send you a copy immediately.
 *
 * @category            Blackbird
 * @package		Blackbird_MenuManager
 * @copyright           Copyright (c) 2016 Blackbird (http://black.bird.eu)
 * @author		Blackbird Team
 */
namespace FiloBlu\ExtBlackbirdMenuManager\Block\Adminhtml\Menu\Edit;

use Magento\Backend\Block\Template;
use Magento\Framework\Registry;
use Blackbird\MenuManager\Api\NodeRepositoryInterface;
use Blackbird\MenuManager\Model\NodeTypeProvider;

class NodesData extends \Blackbird\MenuManager\Block\Adminhtml\Menu\Edit\NodesData
{
    protected $_customerGroup;

    /**
     * NodesData constructor.
     * @param Template\Context $context
     * @param NodeRepositoryInterface $nodeRepository
     * @param NodeTypeProvider $nodeTypeProvider
     * @param Registry $registry
     * @param \Magento\Config\Model\Config\Source\Enabledisable $enabledisable
     * @param \Blackbird\MenuManager\Model\Config\Source\Menu\NodeTypes\Types
     * @param  \Magento\Framework\Module\Manager;
     * @param \Magento\Framework\Module\PackageInfo
     * @param array $data
     */
    public function __construct(
        Template\Context $context,
        NodeRepositoryInterface $nodeRepository,
        NodeTypeProvider $nodeTypeProvider,
        Registry $registry,
        \Magento\Config\Model\Config\Source\Enabledisable $enabledisable,
        \Blackbird\MenuManager\Model\Config\Source\Menu\NodeTypes\Types $nodeType,
        \Magento\Framework\Module\Manager $moduleManager,
        \Magento\Framework\Module\PackageInfo $packageInfo,
        \FiloBlu\ExtBlackbirdMenuManager\Model\ResourceModel\Group\Collection $customerGroup,
        array $data = []
    ) {
        parent::__construct($context, $nodeRepository,$nodeTypeProvider,$registry,$enabledisable,$nodeType,$moduleManager,$packageInfo,$data);
        $this->_customerGroup = $customerGroup;
    }

    
    /**
     * return the possible targets
     *
     * @return array
     */
    public function getPossibleCustomerGroup()
    {
        return $this->_customerGroup->toOptionArray();
    }


   
}